# This program is written by 
#               
#                             Murtaza Amiji
#		Department Of ELectrical & Computer Engineering,
#		     Worcester Polytechnic Institute,
#		            Worcester, MA.
#                          http://ece.wpi.edu
#
# Copyright (c) 1995-96 Worcester Polytechnic Institute. 
# All rights reserved. Please refer to the "copyright" document for more 
# information on the copyright notice. 

proc connect {{w .connect.host}} {
    catch {destroy $w}
    toplevel $w
    dpos $w 
    label $w.label1 -text "Enter the Hostname below:"
    entry $w.entry1 -width 20 -relief sunken -bd 2 -textvariable host
    button $w.button1 -text " OK " -command {server_connection $host .connect.host}
    button $w.button2 -text " CANCEL " -command "destroy $w"
    pack $w.label1 $w.entry1 -padx 1m -pady 1m
    pack $w.button2 $w.button1 -side right -expand yes -padx 1c -pady 1m
}    

proc server_connection {host w} {
    global pfd
   
    if {[string length $pfd] > 0} {
	kill [pid $pfd]
	set pfd ""
    }   
    if {[string length $pfd] == 0} {
        set pfd [open "| ./ephone_client $host"  "a+"]
        if {$pfd < 0} {
	    .input.text insert end  "Cannot open the E-Phone client program.\n"
	    exit 0
	}
	
    }
    .input.text delete 1.0 end
    destroy $w
}
